Skip to main content
GET
/
v1
/
alerts
List Alerts
curl --request GET \
  --url https://api.example.com/v1/alerts
import requests

url = "https://api.example.com/v1/alerts"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/v1/alerts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "source_name": "<string>",
      "occurred_at": "2023-11-07T05:31:56Z",
      "ingested_at": "2023-11-07T05:31:56Z",
      "is_enriched": true,
      "tags": [
        "<string>"
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "duplicate_count": 0,
      "close_classification": "<string>",
      "closed_at": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "total": 123,
    "page": 123,
    "page_size": 123,
    "total_pages": 123
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Query Parameters

status
string | null
severity
string | null
source_name
string | null
is_enriched
boolean | null
enrichment_status
string | null
detection_rule_uuid
string<uuid> | null
from_time
string<date-time> | null
to_time
string<date-time> | null
tags
string[] | null
sort_by
string | null
sort_order
string | null
page
integer
default:1

Page number (1-indexed)

Required range: x >= 1
page_size
integer
default:50

Items per page (max 500)

Required range: 1 <= x <= 500

Response

Successful Response

data
AlertSummary · object[]
required
meta
PaginationMeta · object
required